Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface ConstructorContainer

All Superinterfaces:
  ActionContainer<Constructor>, Bounded, EventSource, NamedObject, NamedObjectContainer<Constructor>, Serializable

    public interface ConstructorContainer

extends ActionContainer<Constructor>

Represents a collection of constructors for a task plan.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.taskplan.ActionContainer
`ActionContainer.Event`

Method Summary
`Constructor` | `getConstructor(String name)`
`String[]` | `getConstructorNames()` An array of names for the constructors defined on this task plan.
`Constructor` | `getDefaultConstructor()`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.ActionContainer
`getAction, getActionNames, getSourceActionConnectors, getTaskPlan, moveAction`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObjectContainer
`addChild, addChild, clear, getChild, getChildNames, getChildObjects, hasChild, removeChild, renameChild`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.Bounded
`getBounds, setBounds`

Method Detail

### getConstructorNames

    String[] getConstructorNames()

  An array of names for the constructors defined on this task plan. If no constructors have been defined, an empty array is returned.

### getConstructor

    Constructor getConstructor(String name)
                               throws UnknownObjectException

  Throws:
    `UnknownObjectException`

### getDefaultConstructor

    Constructor getDefaultConstructor()
                                      throws UnknownObjectException

  Throws:
    `UnknownObjectException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD